<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::VectorPxPyPzM Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html">VectorPxPyPzM</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_vector_px_py_pz_m-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::VectorPxPyPzM Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a342b77cf0b0dfa02f05a50960221c945"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html#a342b77cf0b0dfa02f05a50960221c945">px</a></td></tr>
<tr class="separator:a342b77cf0b0dfa02f05a50960221c945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f7be986e2baba49fc27b1971cfb03f1"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html#a0f7be986e2baba49fc27b1971cfb03f1">py</a></td></tr>
<tr class="separator:a0f7be986e2baba49fc27b1971cfb03f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1810dad79e3bcf7f0b0dc6d52c7e7177"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html#a1810dad79e3bcf7f0b0dc6d52c7e7177">pz</a></td></tr>
<tr class="separator:a1810dad79e3bcf7f0b0dc6d52c7e7177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f57e71398fbc23d4dcd8a0e5c6e2663"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vector_px_py_pz_m.html#a8f57e71398fbc23d4dcd8a0e5c6e2663">m</a></td></tr>
<tr class="separator:a8f57e71398fbc23d4dcd8a0e5c6e2663"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00011">11</a> of file <a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a8f57e71398fbc23d4dcd8a0e5c6e2663"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f57e71398fbc23d4dcd8a0e5c6e2663">&#9670;&nbsp;</a></span>m</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double eic::VectorPxPyPzM::m</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00016">16</a> of file <a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00053">eic::ConstParticle::m()</a>, <a class="el" href="_particle_8cc_source.html#l00055">eic::Particle::m()</a>, and <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00021">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a342b77cf0b0dfa02f05a50960221c945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a342b77cf0b0dfa02f05a50960221c945">&#9670;&nbsp;</a></span>px</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double eic::VectorPxPyPzM::px</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00013">13</a> of file <a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00021">eic::operator&lt;&lt;()</a>, <a class="el" href="_particle_const_8cc_source.html#l00050">eic::ConstParticle::px()</a>, and <a class="el" href="_particle_8cc_source.html#l00052">eic::Particle::px()</a>.</p>

</div>
</div>
<a id="a0f7be986e2baba49fc27b1971cfb03f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f7be986e2baba49fc27b1971cfb03f1">&#9670;&nbsp;</a></span>py</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double eic::VectorPxPyPzM::py</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00014">14</a> of file <a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00021">eic::operator&lt;&lt;()</a>, <a class="el" href="_particle_const_8cc_source.html#l00051">eic::ConstParticle::py()</a>, and <a class="el" href="_particle_8cc_source.html#l00053">eic::Particle::py()</a>.</p>

</div>
</div>
<a id="a1810dad79e3bcf7f0b0dc6d52c7e7177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1810dad79e3bcf7f0b0dc6d52c7e7177">&#9670;&nbsp;</a></span>pz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double eic::VectorPxPyPzM::pz</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00015">15</a> of file <a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vector_px_py_pz_m_8h_source.html#l00021">eic::operator&lt;&lt;()</a>, <a class="el" href="_particle_const_8cc_source.html#l00052">eic::ConstParticle::pz()</a>, and <a class="el" href="_particle_8cc_source.html#l00054">eic::Particle::pz()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_vector_px_py_pz_m_8h_source.html">VectorPxPyPzM.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
